### File

`packages/eui/packages/components-next/src/lib/components/eui-table/selectable-header/eui-table-selectable-header.component.ts`

### Implements

`OnInit` `OnDestroy`

### Metadata

selector | `tr[isSelectableHeader]`
templateUrl | `./eui-table-selectable-header.component.html`

### Index

###### Properties
checkbox Public isCheckedIndeterminate
###### Methods
Public toggleCheckedState
###### Inputs
isChecked isSelectableHeader

### Constructor

`constructor(euiTableSelectableRowService: EuiTableSelectableRowService)`
Parameters :
Name | Type | Optional
euiTableSelectableRowService | `EuiTableSelectableRowService` | No

### Inputs

isChecked
Default value : `false`

isSelectableHeader
Type : `boolean`
Default value : `true`

### Methods

Public toggleCheckedState
`toggleCheckedState(value: boolean)`
Parameters :
Name | Type | Optional
value | `boolean` | No
Returns : `void`

### Properties

checkbox
Type : `ElementRef<HTMLInputElement>`
Decorators : `@ViewChild('checkbox')`

Public isCheckedIndeterminate
Default value : `false`

# result-matching ""

# No results matching ""